PSP downgrader for v3.50 firmware

This downgrader is for v3.50 firmware, and includes a port of the Homebrew ENabler (HEN) for firmware 3.50. It will automatically detect all known PSP motherboard types, and do the appropriate steps to ensure a safe downgrade.

Before we get started, let’s have the obligatory warnings:

Any downgrader carries some risk of permanently damaging your PSP. We’ve done everything we can to remove as much danger as possible, but if you choose to use this downgrader, you are accepting all of the risk involved. Nobody else will be held responsible for any damage to your PSP, howsoever caused.

Recent Sony official firmwares (3.30 onwards) have included checks that block upgrade from previously-downgraded PSPs with TA-082 or later motherboards. If you use this downgrader on such a PSP, you will lock yourself out of official firmware updates – although you will still be able to use new OE firmwares when they are released. We intend to release a tool to allow a return to official firmwares in the future.

This software is provided free of charge, so that you can use legitimate homebrew on your PSP. You are explicitly prohibited from selling it, or using it to pirate commercial games or applications. If you want to play a commercial game, do the decent thing and support the developers by buying it. If you don’t, then YOU are contributing to the death of the PSP software industry.

To use this downgrader, you will need the following:

  • A PSP, upgraded to the official Sony v3.50 firmware. You should also set your language settings to “English”.
  • A legal Lumines UMD, either the EU (ULES00043) or US (ULUS10002) version. The original, Platinum, or Greatest Hits versions are all fine. Support for the Japanese version will come soon.
  • Sufficient intelligence and english language skills to be able to carefully and throroughly read the instructions.
  • It would also help if you’ve previously run the Illuminati Hello World, so that you’re familiar with how to run the Illuminati exploit.

For instructions on how to run the downgrader, see the Downgrader_HOWTO.txt file in the ZIP.

Future plans? Firstly, we intend to provide a solution for people who are stuck on firmware 3.10 or 3.11, unable to upgrade to 3.50 due to the new Sony checks. The exact format of that solution is still to be decided. We also intend to develop an eLoader for v3.50 HEN, so that those who do not want to downgrade will still be able to run some homebrew.

Download the 3.50 downgrader from here.

Source: n00bz who would like people that report this news to ‘preserve this alternative donation link‘ in the post and not to start a ‘new Digg’. If people choose to Digg this post, that’s up to them. 😕

Bookmark with del.icio.us Digg it, man

Advertisements